Show / Hide Table of Contents

# Class TitleScreenMenu

Class responsible for managing elements in the title screen menu.

##### Inheritance

System.Object
TitleScreenMenu

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface

###### Assembly: Dalamud.dll

##### Syntax

    public class TitleScreenMenu

### Properties

| Improve this Doc View Source

#### Entries

Gets the list of entries in the title screen menu.

##### Declaration

    public IReadOnlyList<TitleScreenMenu.TitleScreenMenuEntry> Entries { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyList<TitleScreenMenu.TitleScreenMenuEntry> |

### Methods

| Improve this Doc View Source

#### AddEntry(String, TextureWrap, Action)

Adds a new entry to the title screen menu.

##### Declaration

    public TitleScreenMenu.TitleScreenMenuEntry AddEntry(string text, TextureWrap texture, Action onTriggered)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text | The text to show.
TextureWrap | texture | The texture to show.
System.Action | onTriggered | The action to execute when the option is selected.

##### Returns

Type | Description
--- | ---
TitleScreenMenu.TitleScreenMenuEntry | A TitleScreenMenu object that can be used to manage the entry.

##### Exceptions

Type | Condition
--- | ---
System.ArgumentException | Thrown when the texture provided does not match the required resolution(64x64).

| Improve this Doc View Source

#### RemoveEntry(TitleScreenMenu.TitleScreenMenuEntry)

Remove an entry from the title screen menu.

##### Declaration

    public void RemoveEntry(TitleScreenMenu.TitleScreenMenuEntry entry)

##### Parameters

Type | Name | Description
--- | --- | ---
TitleScreenMenu.TitleScreenMenuEntry | entry | The entry to remove.